/* mainpage gridded table */
#mainpage {
    display:grid;
}
#mainpage td {
    background-color:white;
    padding:5px;
}
/* grid-bar*/
.sidebar1 {
    grid-area: sidebar1;
}

.sidebar2 {
    grid-area: sidebar2;
}

.sidebar3 {
    grid-area: sidebar3;
}

.content1 {
    grid-area: content1;
}

.content2 {
    grid-area: content2;
}

.header {
    grid-area: header;
}

.footer {
    grid-area: footer;
}
/* mainpage gridding 
 * can be created programatically? */
.wrapper {
    background-color: #fff;
    color: #444;
    margin-top:10px;
    margin-right:0px;
    display: grid;
}

.box {
  background-color: #444;
  color: #fff;
  border-radius: 5px;
  padding: 10px;
}

.header,
.footer {
  background-color: #999;
}

.sidebar1 {
  background-color: #ccc;
  color: #444;
}

.sidebar2 {
  background-color: #ccc;
  color: #444;
}

.sidebar3 {
  background-color: #ccc;
  color: #444;
}


/*mainpage grid div elements*/
.rightbox {
    float:right;
    padding:10px;
    margin:5px;
}
.leftbox {
    float:left;
    padding:10px;
    margin:5px;
}
.downbox {
    padding-left:10px;
    margin:5px;
}
.centerbox {
    padding:10px;
    margin:5px;
    text-align:center;
}
.boxborder {
    border:1px solid #e3e3e3;
    border-radius:10px;
}
.boxborder:hover {
    background-color:#f5f5f5;
}
.boxul {
    padding:0 0 0 10px;
    list-style-type:none;
}
.boxul .blarge {
    font-size:150%;
}
.register {
    display:table-cell;
    text-align:right;
    padding:10px 30px 0 10px;
    white-space: nowrap;
}

